Subject: RE: MRouteFlags

From: "Dave Thaler" <[email-masked]>
Date: Tue, 4 Sep 2001 13:48:02 -0700

It's not an enumerated value, it's a BITS construct.
This means the value
 0 (binary 00) means SPT=0, RPT=0
 1 (binary 01) means SPT=0, RPT=1
 2 (binary 10) means SPT=1, RPT=0
 3 (binary 11) means SPT=1, RPT=1
(This doesn't imply that all the above combinations
are legal in PIM, I'm just explaining how BITS works.)

See RFC 2578 section 7.1.4 for more info on the BITS construct.

-Dave

> -----Original Message-----
> From: Rajesh Nataraja [mailto:[email-masked]]
> Sent: Friday, August 31, 2001 12:50 AM
> To: [email-masked]
> Subject: MRouteFlags
> 
> i have a doubt in the PIM standard mib.
> The mib says IpMRouteFlags is enum which returns SPT or RPT flags.
> how would this handle the case of (s,G) entry with spt bit not set.
> please give me suggestions as to how this could be handled. if we have
an
> (S,G) entry with spt bit clear.
> rajesh.
> 
> 
> 
> 
> 
> _______________________________________________________
> http://inbox.excite.com
>